Package be.fgov.ehealth.dics.protocol.v4

# Class FindByActualProductType

java.lang.Object
be.fgov.ehealth.dics.protocol.v4.FindByActualProductType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:17:33+02:00", comments="JAXB RI v4.0.5") public class FindByActualProductType extends Object implements Serializable

Java class for FindByActualProductType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="FindByActualProductType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <choice>
             <element name="AmpCode" type="{urn:be:fgov:ehealth:dics:core:v4:actual:common}AmpCodeType"/>
             <element name="AnyNamePart" type="{urn:be:fgov:ehealth:dics:core:v4:core}SearchStringType"/>
           </choice>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FindByActualProductType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAmpCode()`
  Gets the value of the ampCode property.
  `String`
  `getAnyNamePart()`
  Gets the value of the anyNamePart property.
  `void`
  `setAmpCode(String value)`
  Sets the value of the ampCode property.
  `void`
  `setAnyNamePart(String value)`
  Sets the value of the anyNamePart property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FindByActualProductType

    public FindByActualProductType()

- ## Method Details

  - ### getAnyNamePart

    public String getAnyNamePart()
    Gets the value of the anyNamePart property.
    Returns:
      possible object is `String`

  - ### setAnyNamePart

    public void setAnyNamePart(String value)
    Sets the value of the anyNamePart property.
    Parameters:
      `value` - allowed object is `String`

  - ### getAmpCode

    public String getAmpCode()
    Gets the value of the ampCode property.
    Returns:
      possible object is `String`

  - ### setAmpCode

    public void setAmpCode(String value)
    Sets the value of the ampCode property.
    Parameters:
      `value` - allowed object is `String`